# $Revision: 1.18 $, $Date: 2008/10/27 16:34:27 $
%include	/usr/lib/rpm/macros.perl
Summary:	Perl script which automates the backup of both MyISAM and InnoDB tables
Summary(pl.UTF-8):	Skrypt Perla automatyzujący tworzenie kopii zapasowych tabel MyISAM i InnoDB
Name:		innobackup
Version:	1.5.0
Release:	2
License:	GPL v2
Group:		Applications/Databases
Source0:	http://www.innodb.com/download/%{name}-%{version}
# Source0-md5:	435332f339bd3dc5b13319c4f0a00bd5
URL:		http://www.innodb.com/hot-backup/
# http://bugs.mysql.com/bug.php?id=40351
Patch0:		%{name}-engine-archive.patch
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	ibbackup
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
InnoDB Hot Backup is the ideal solution for online backups of InnoDB
tables in MySQL - and for setting up replication. It allows you to
back up a running InnoDB database under MySQL without setting any
locks or disturbing normal database processing. You get a consistent
copy of your database, as if the copy were taken at a precise point in
time. InnoDB Hot Backup is also the ideal method of setting up new
slaves if you use the MySQL replication on InnoDB tables.

innobackup is a Perl script which automates the backup of both MyISAM
and InnoDB type tables and .frm files. It is an adaptable front-end
for ibbackup.

%description -l pl.UTF-8
InnoDB Hot Backup to idealne rozwiązanie dla tworzenia w czasie
rzeczywistym kopii zapasowych tabel w MySQL oraz zestawiania
replikacji. Umożliwia tworzenie kopii zapasowych działającej bazy
danych InnoDB pod MySQL-em bez ustawiania żadnych blokad czy
przeszkadzania w normalnym przetwarzaniu baz danych. Otrzymuje się
spójną kopię bazy danych, tak, jakby była wykonana w dokładnym punkcie
w czasie. InnoDB Hot Backup to także idealna metoda zestawiania nowych
serwerów podrzędnych w przypadku używania replikacji MySQL-a na
tabelach InnoDB.

innobackup to skrypt Perla automatyzujący tworzenie kopii zapasowych
tabel typu MyISAM i InnoDB oraz plików .frm. Jest to adaptowalny
frontend dla programu ibbackup.

%prep
%setup -q -c -T
cp -a %{SOURCE0} %{name}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/innobackup

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: innobackup.spec,v $
Revision 1.18  2008/10/27 16:34:27  glen
- copy ENGINE=ARCHIVE files; mysql bug #40351; rel 2

Revision 1.17  2008/10/01 13:40:08  duddits
- up to 1.5.0

Revision 1.16  2008/02/09 23:33:26  qboosh
- pl summary, updated pl description

Revision 1.15  2008-01-13 16:41:34  glen
- update summary description after package split

Revision 1.14  2008-01-13 16:31:58  glen
- innobackup 1.4.0

Revision 1.13  2007-04-17 13:43:09  glen
- now Source0 is binary itself

Revision 1.12  2007/02/28 14:43:23  glen
- include trigger tables (TRG, TRN) when copying datafiles; rel 2

Revision 1.11  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.9  2006/11/05 00:17:13  qboosh
- pl

Revision 1.8  2006/10/20 17:58:25  glen
- add Source0Download URL

Revision 1.7  2006/10/20 17:42:40  glen
- add innobackup perl script

Revision 1.6  2006/10/20 17:08:20  glen
- add sample config

Revision 1.5  2006/10/20 17:06:08  glen
- nosource0

Revision 1.4  2006/10/20 16:52:30  glen
- add link to manual

Revision 1.3  2006/10/20 16:51:16  glen
- update Version

Revision 1.2  2006/10/20 16:47:40  glen
- decompress source

Revision 1.1  2006/10/20 16:44:01  glen
- new
